{$A+,B-,E-,F-,I-,N-,O-,V-,X- }

{$IFDEF P286 } {$G+ } {$ELSE } {$G- } {$ENDIF }

{$IFDEF DEBUG } {$R+,S+ } {$ELSE } {$D-,L-,R-,S- } {$ENDIF }

{---------------------------------------------------------------}
{                                                               }
{ Ce programme va renvoyer tout ce qui vient du COM1 vers le    }
{ le COM2, et inversement.                                      }
{ Le COM1 est associ  l'Irq 4, alors que le COM2  aucunne.   }
{                                                               }
{---------------------------------------------------------------}

Program Exemple3;

Uses Crt, XSer;

Var Com1  : ComX;
    Com2  : ComX;
    c     : Char;
Begin

  { Installe un "CheckUp" sur l'Irq 0, et force 145.6 interruptions }
  { par seconde ! ( 18.2*2^3 = 145.6)                               }

  If  InstCheckUp(3)  Then
    Begin
      { Ouvre la communication du COM1 : Adresse $3F8 , Irq 4 }

      If Com1.Init($3F8,4,BAUD1200,EVENPARITY+DATA7BITS+STOP1BIT,1024,1024) Then
        Begin

          { Ouvre la communication du COM2 : Adresse $2F8 , Pas d'irq !! }

          If Com2.Init($2F8,0,BAUD1200,EVENPARITY+DATA7BITS+STOP1BIT,1024,1024) Then
            Begin

              { On boucle tant qu'aucunne touche n'est appuye }

              While Not(KeyPressed) Do
                Begin
                  If Com1.ReceiveChar(c) Then
                    While Not(Com2.TransmitChar(c)) Do;

                  If Com2.ReceiveChar(c) Then
                    While Not(Com1.TransmitChar(c)) Do;
                End;

              Com2.Done;  { ferme la communication (et l'objet) }
            End;

          Com1.Done;  { idem }
        End;

      KillCheckUp;    { vire le "CheckUp" }

    End;
End.
